<div class="row" *ngIf="project">
  <div class="col-12">
    <h4 class="page-title">Projekteinstellungen - {{project.name}}</h4>
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item" *ngIf="project.status != 'past'"><a routerLink="/projects">Projekte</a></li>
        <li class="breadcrumb-item" *ngIf="project.status == 'past'"><a routerLink="/projects/past">Vergangene Projekte</a></li>
        <li class="breadcrumb-item"><a routerLink="/projects/{{project.id}}/ensembles/{{ensembleId}}">{{project.name}}</a></li>
        <li class="breadcrumb-item active" aria-current="page">Projekteinstellungen</li>
      </ol>
    </nav>
  </div>
</div>
<div class="row mt-3" *ngIf="project">
  <div class="col-md-6 mb-3">
    <div class="card">
      <div class="card-heading">
        <h5>Projektdaten</h5>
      </div>
      <div class="card-body">
        <eos-project-form [project]="project" [showEnsembleChoice]="false"></eos-project-form>
        <button class="btn btn-success" (click)="saveProject()">Speichern</button>
      </div>
    </div>
  </div>
  <div class="col-md-6 mb-3">
    <div class="card mb-3" *ngIf="isProjectManager">
      <div class="card-heading">
        <h5>Einstellungen</h5>
      </div>
      <div class="card-body">
        <p class="card-text">Es wird automatisch eine Erinnerung gesendet an alle Mitglieder des Ensembles, die sich noch nicht für das Projekt an oder abgemeldet haben.</p>
        <form class="form-inline" #f="ngForm">
          <div class="custom-control custom-checkbox my-1 mr-sm-2">
            <input type="checkbox" class="custom-control-input" id="sendReminderInput" name="sendReminderInput" [(ngModel)]="project.autoReminder">
            <label class="custom-control-label" for="sendReminderInput">Automatische Erinnerung senden</label>
          </div>
          <input type="number" class="form-control my-1 mr-sm-2" id="reminderDaysInput" name="reminderDaysInput" [(ngModel)]="project.reminderDaysBeforeDeadline">
          <label class="my-1 mr-2" for="reminderDaysInput">Tage vor Anmeldedeadline</label>
        </form>
        <p class="text-warning" *ngIf="project.autoReminderSent">
          Es wurde bereits eine Erinnerung gesendet. Wenn du die Tage veränderst, wird erneut eine Erinnerung gesendet.
        </p>
        <button class="btn btn-success mt-2" (click)="saveProject()">Speichern</button>
      </div>
    </div>
    <div class="card" *ngIf="isProjectManager">
      <div class="card-heading">
        <h5 class="text-danger">Projekt zurücksetzen</h5>
      </div>
      <div class="card-body">
        <p>Der Button setze alle Anmeldungen des Projekts, aller Termine und Probenphasen zurück. Die Aktion kann nicht rückgängig gemacht werden.</p>
        <button class="btn btn-outline-danger" (click)="openAnnouncementDeleteConfirmModal()">Anmeldungen zurück setzen</button>
      </div>
      <div class="card-body">
        <p>Der Button löscht das gesamte Projekts inklusive aller Termine, Probenphasen und Anmeldungen. Die Aktion kann nicht rückgängig gemacht werden.</p>
        <button class="btn btn-danger" (click)="openProjectDeleteConfirmModal()">Projekt löschen</button>
      </div>
    </div>
  </div>
</div>